Subject: Re: [PATCH] of: Fix address decoding on Bimini and js2x machines

From: Grant Likely <[email-masked]>
Date: Thu, 04 Jul 2013 17:18:28 +0100

On Wed, 3 Jul 2013 15:37:56 +0100, Grant Likely <[email-masked]> wrote:
> On Wed, Jul 3, 2013 at 3:10 PM, Rob Herring <[email-masked]> wrote:
> > On 07/03/2013 01:01 AM, Benjamin Herrenschmidt wrote:
> >>  Commit:
> >>
> >>   e38c0a1fbc5803cbacdaac0557c70ac8ca5152e7
> >>   of/address: Handle #address-cells > 2 specially
> >>
> >> broke real time clock access on Bimini, js2x, and similar powerpc
> >> machines using the "maple" platform. That code was indirectly relying
> >> on the old (broken) behaviour of the translation for the hypertransport
> >> to ISA bridge.
> >>
> >> This fixes it by treating hypertransport as a PCI bus
> >>
> >> Signed-off-by: Benjamin Herrenschmidt <[email-masked]>
> >> CC: <[email-masked]> [v3.6+]
> >> ---
> >>
> >> Rob, if you have no objection I will put that in powerpc -next
> >
> > NP.
> >
> > Acked-by: Rob Herring <[email-masked]>
> 
> I'll include this in my 3.11 pull request for Linus

Oops. Ben, I misread what you wrote. It would have been just fine to
include it in your powerpc -next branch. Sorry for the confusion.

Anyway, I saw your powerpc pull req and that this patch wasn't in it, so
I've picked it up and will send it to Linus as soon as the test build
completes.

g.